import * as $dara from '@darabonba/typescript';
export declare class DeleteBinarySecurityPolicyRequest extends $dara.Model {
    /**
     * @remarks
     * The name of the binary security policy.
     *
     * @example
     * policy-auto-bfu7pm
     */
    name?: string;
    resourceOwnerId?: number;
    /**
     * @remarks
     * The source IP address of the request.
     *
     * @example
     * 42.120.XXX.XXX
     */
    sourceIp?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
